const { DataTypes } = require('sequelize');
const { sequelize } = require('../config/db');

const PetDisease = sequelize.define('PetDisease', {
  id: {
    type: DataTypes.INTEGER,
    autoIncrement: true,
    primaryKey: true,
  },
  name: {
    type: DataTypes.STRING,
    allowNull: false,
    unique: true,
    comment: 'e.g., 피부질환, 눈 질환',
  },
}, {
  timestamps: false,
});

module.exports = PetDisease;
